package melody.offline.music.service

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.media3.exoplayer.offline.Download

object ViewModelMain : ViewModel() {
    var modelDownloadsFlow = MutableLiveData<Map<String, Download>>()

    private val _dataRemote = MutableLiveData<String>()
    val dataRemote: LiveData<String> get() = _dataRemote
    fun updateData(newData: String) {
        _dataRemote.value = newData
    }
}